Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Update the memory store configuration
curl --request PATCH \
--url https://api.orq.ai/v2/memory-stores/{memory_store_key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"ttl": 123,
"path": "<string>"
}
'{
"_id": "<string>",
"key": "<string>",
"description": "<string>",
"created": "<string>",
"updated": "<string>",
"embedding_config": {
"model": "<string>"
},
"created_by_id": "<string>",
"updated_by_id": "<string>",
"ttl": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.orq.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique key identifier of the memory store
The description of the memory store. Be as precise as possible to help the AI to understand the purpose of the memory store.
The default time to live of every memory document created within the memory store. Useful to control if the documents in the memory should be store for short or long term.
Memory store successfully updated.
The unique identifier of the memory store
The unique key of the memory store. The key is unique and inmmutable and cannot be repeated within the same workspace.
1 - 255^[A-Za-z]([A-Za-z0-9]*([._][A-Za-z0-9]+)*)?$The description of the memory store. Be as precise as possible to help the AI to understand the purpose of the memory store.
The creation date of the memory store
The last update date of the memory store
Show child attributes
The user ID of the creator
The user ID of the last updater
The default time to live of every memory document created within the memory store. Useful to control if the documents in the memory should be store for short or long term.
Was this page helpful?
curl --request PATCH \
--url https://api.orq.ai/v2/memory-stores/{memory_store_key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"ttl": 123,
"path": "<string>"
}
'{
"_id": "<string>",
"key": "<string>",
"description": "<string>",
"created": "<string>",
"updated": "<string>",
"embedding_config": {
"model": "<string>"
},
"created_by_id": "<string>",
"updated_by_id": "<string>",
"ttl": 123
}